Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.validate
Class CombineSchema

    java.lang.Object
      com.thaiopensource.validate.AbstractSchema
          com.thaiopensource.validate.CombineSchema

All Implemented Interfaces:
  Schema

    public class CombineSchema

extends AbstractSchema

Constructor Summary
`CombineSchema(Schema schema1, Schema schema2, PropertyMap properties)`

Method Summary
`Validator` | `createValidator(PropertyMap properties)` Creates a new `Validator` that can be used to validate XML documents with respect to this schema.

Methods inherited from class com.thaiopensource.validate.AbstractSchema
`filterProperties, getProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CombineSchema

    public CombineSchema(Schema schema1,
                         Schema schema2,
                         PropertyMap properties)

Method Detail

### createValidator

    public Validator createValidator(PropertyMap properties)

  Description copied from interface: `Schema`
  Creates a new `Validator` that can be used to validate XML documents with respect to this schema. The `PropertyMap` should contain a `ValidateProperty.ERROR_HANDLER` property, which will be used to report errors. If it does not, then an `ErrorHandler` will be used that ignores warnings and throws its argument on errors and fatal errors. Common properties are defined in `ValidateProperty`. Implementations may support additional properties.

  Parameters:
    `properties` - a `PropertyMap` specifying the properties of the `Validator` to be created
  Returns:
    a new `Validator` that can be used to validate an XML document with respect to this schema; never `null`
  See Also:
    `ValidateProperty.ERROR_HANDLER`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD